From 3760bb7fe7995299ae0ae773777a0fd983467b50 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Sun, 22 Apr 2012 21:52:34 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/changelog                                   |   10 +++++++++
 debian/compat                                      |    2 +-
 debian/control                                     |    4 ++--
 debian/copyright                                   |    2 +-
 debian/patches/00list                              |    1 -
 debian/patches/{02_gcc43.dpatch => 02-gcc43.patch} |    9 +++-----
 debian/patches/series                              |    1 +
 debian/rules                                       |   22 +++++++-------------
 debian/source/format                               |    1 +
 9 files changed, 27 insertions(+), 25 deletions(-)
 delete mode 100644 debian/patches/00list
 rename debian/patches/{02_gcc43.dpatch => 02-gcc43.patch} (83%)
 create mode 100644 debian/patches/series
 create mode 100644 debian/source/format

diff --git a/debian/changelog b/debian/changelog
index 569bcbb..76181fa 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,13 @@
+bbpager (0.4.7-3.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+  * Add build-arch and build-indep targets; use dh_prep in rules file.
+  * Fix copyright-refers-to-symlink-license (Lintian).
+
+ -- Jari Aalto <jari.aalto@cante.net>  Sun, 22 Apr 2012 21:50:13 +0300
+
 bbpager (0.4.7-3) unstable; urgency=low
 
   * Updated again FTBFS gcc43 patch for missing include statement in
diff --git a/debian/compat b/debian/compat
index 7ed6ff8..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+9
diff --git a/debian/control b/debian/control
index af38ece..29415c8 100644
--- a/debian/control
+++ b/debian/control
@@ -1,9 +1,9 @@
 Source: bbpager
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 5), libsm-dev, libx11-dev, libice-dev, libxt-dev, libbt-dev, libxext-dev, autotools-dev, dpatch
+Build-Depends: debhelper (>= 9), libsm-dev, libx11-dev, libice-dev, libxt-dev, libbt-dev, libxext-dev, autotools-dev
 Maintainer: Kevin Coyner <kcoyner@debian.org>
-Standards-Version: 3.7.3
+Standards-Version: 3.9.3
 Homepage: http://bbtools.sourceforge.net
 
 Package: bbpager
diff --git a/debian/copyright b/debian/copyright
index 04a82a2..7d80bec 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -26,4 +26,4 @@ License:
     Foundation, Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 
 On Debian systems, the complete text of the GNU General Public License
-can be found in /usr/share/common-licenses/GPL file.
+can be found in /usr/share/common-licenses/GPL-2 file.
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index c5e7e92..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1 +0,0 @@
-02_gcc43
diff --git a/debian/patches/02_gcc43.dpatch b/debian/patches/02-gcc43.patch
similarity index 83%
rename from debian/patches/02_gcc43.dpatch
rename to debian/patches/02-gcc43.patch
index 18b8a8c..8f69c20 100644
--- a/debian/patches/02_gcc43.dpatch
+++ b/debian/patches/02-gcc43.patch
@@ -1,10 +1,7 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 02_gcc43.dpatch by Kevin Coyner <kcoyner@debian.org>
-##
-## DP: patch to fix missing #include statement for GCC 4.3
-## DP: see Debian bug #456071 and #474811
+From: Kevin Coyner <kcoyner@debian.org>
+Subject: patch to fix missing #include statement for GCC 4.3
+ see Debian bug #456071 and #474811
 
-@DPATCH@
 diff -urNad bbpager-0.4.7~/src/Baseresource.cxx bbpager-0.4.7/src/Baseresource.cxx
 --- bbpager-0.4.7~/src/Baseresource.cxx	2008-03-28 06:55:16.000000000 -0400
 +++ bbpager-0.4.7/src/Baseresource.cxx	2008-04-09 21:58:03.000000000 -0400
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..8575c1b
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1 @@
+02-gcc43.patch
diff --git a/debian/rules b/debian/rules
index aa78249..981fd26 100755
--- a/debian/rules
+++ b/debian/rules
@@ -14,8 +14,12 @@ else
         CXXFLAGS += -O2
 endif
 
+
+build-arch: build
+build-indep: build
+
 build: build-stamp
-build-stamp: patch
+build-stamp:
 	dh_testdir
 
 	./configure = CXXFLAGS="$(CXXFLAGS)" --build=$(DEB_BUILD_GNU_TYPE) \
@@ -24,9 +28,7 @@ build-stamp: patch
 	$(MAKE) STRIP=:
 	touch build-stamp
 
-clean: clean-patched unpatch
-
-clean-patched:
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp install-stamp
@@ -35,18 +37,10 @@ clean-patched:
 	[ ! -f Makefile ] || make distclean
 	dh_clean
 
-patch: patch-stamp
-patch-stamp:
-	dpatch apply-all
-
-unpatch:
-	dpatch deapply-all
-	rm -rf patch-stamp debian/patched
-
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	install -m 755 src/bbpager debian/bbpager/usr/bin
@@ -73,4 +67,4 @@ binary-arch: build install
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install patch unpatch clean-patched
+.PHONY: build clean binary-indep binary-arch binary install clean-patched
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
-- 
1.7.10

